runPicard {snapCGH} | R Documentation

## Results of segmenting an MAList data object using the Picard et al algorithm found in the tilingArray library

### Description

Wrapper calling the Picard et al segmentation algorithm on an MAList object. This function requires the library `DNAcopy` to be loaded.

### Usage

      runPicard(input, maxSeg, maxk = 200, criteria = "BIC")

### Arguments

`input` | An object of class `MAList` or `SegList`
`maxSeg` | integer of length 1, maximum number of segments (= 1 + maximum number of change points)
`maxk` | integer of length 1, maximum length of a single segment
`criteria` | Criteria for model selection. Options are "none", "AIC" and "BIC" (default)

### Value

The function returns an object of class `SegList`

### Author(s)

Mike Smith

### See Also

`segment` `MAList` `runHomHMM` `runGLAD` `SegList`

[Package snapCGH version 1.2.0 Index]